Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.s3.model
Enum Region

    java.lang.Object
      java.lang.Enum<Region>
          com.amazonaws.services.s3.model.Region

All Implemented Interfaces:
  Serializable, Comparable<Region>

    public enum Region

extends Enum<Region>

Amazon S3 Regions allow you to choose the geographical Region where Amazon S3 will store the buckets you create. You might choose a Region to optimize latency, minimize costs, or address regulatory requirements. For example, if you reside in Europe, you will probably find it advantageous to create buckets in the EU (Ireland) Region.

Objects stored in a Region never leave that Region unless you explicitly transfer them to another Region. For example, objects stored in the EU (Ireland) Region never leave it.

Enum Constant Summary
`AP_Singapore` The Asia Pacific (Singapore) region uses Amazon S3 servers in Singapore.
`EU_Ireland` The EU (Ireland) Amazon S3 region used Amazon S3 servers in Ireland.
`US_Standard` The US Standard Amazon S3 region uses Amazon S3 servers in the United States.
`US_West` The US-West (Northern California) Amazon S3 region uses Amazon S3 servers in Northern California.

Method Summary
`static Region` | `fromValue(String s3RegionString)` Returns the Amazon S3 Region enum value representing the specified Amazon S3 region ID string.
`String` | `toString()`
`static Region` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Region[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### US_Standard

    public static final Region US_Standard

  The US Standard Amazon S3 region uses Amazon S3 servers in the United States.

  This is the default Region. All requests sent to s3.amazonaws.com go to this Region unless you specify a location constraint on a bucket when you create it. The US Standard Region automatically places your data in either Amazon's east or west coast data centers depending on what will provide you with the lowest latency. The US Standard Region provides eventual consistency for all requests.

### US_West

    public static final Region US_West

  The US-West (Northern California) Amazon S3 region uses Amazon S3 servers in Northern California.

  When using buckets in this region, you can optionally set the client endpoint to s3-us-west-1.amazonaws.com on all requests to these buckets to reduce the latency you might experience after the first hour of creating a bucket in this region.

  In Amazon S3, the US-West (Northern California) Region provides read-after-write consistency for PUTS of new objects in your Amazon S3 bucket and eventual consistency for overwrite PUTS and DELETES.

### EU_Ireland

    public static final Region EU_Ireland

  The EU (Ireland) Amazon S3 region used Amazon S3 servers in Ireland.

  In Amazon S3, the EU (Ireland) Region provides read-after-write consistency for PUTS of new objects in your Amazon S3 bucket and eventual consistency for overwrite PUTS and DELETES.

### AP_Singapore

    public static final Region AP_Singapore

  The Asia Pacific (Singapore) region uses Amazon S3 servers in Singapore.

  When using buckets in this region, you can optionally set the client endpoint to s3-ap-southeast-1.amazonaws.com on all requests to these buckets to reduce the latency you might experience after the first hour of creating a bucket in this region.

Method Detail

### values

    public static Region[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Region c : Region.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Region valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Region>`

### fromValue

    public static Region fromValue(String s3RegionString)
                            throws IllegalArgumentException

  Returns the Amazon S3 Region enum value representing the specified Amazon S3 region ID string. If specified string doesn't map to a known Amazon S3 region, then an IllegalArgumentException is thrown.

  Parameters:
    `s3RegionString` - The Amazon S3 region ID string.
  Returns:
    The Amazon S3 Region enum value representing the specified Amazon S3 region ID.
  Throws:
    `IllegalArgumentException` - If the specified value does not map to one of the known Amazon S3 regions.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.